var page_function = {
  components: {},
  data() {
    return {
      VarMenuPage: "system_air_ice",
      VarMenu: "area",
      VarPageContainerCss: "padding:10px",
    };
  },
  computed: {},
  watch: {},
  mounted() {
    this.$set(this.WebSetup, "caption", "空調及製程冰水系統");
    this.MenuSetup.opened = false;
    this.VarMenuIsOverlay = true;
  },
  methods: {
    loadData() {
      var params = {
        Action: "",
        Datas: {},
      };
      this.FnWebAPIGet(params).then((res) => {
        var resData = res.data.data;
      })
      .catch((err) => {
        console.log(err);
      });
    },
    SaveData() {
      var params = {
        Action: "",
        Datas: {},
      };
      this.FnWebAPIPost(params).then((res) => {
        var resData = res.data.data;
        if(resData) {
          this.FnNotify('寫入成功','success');
          this.loadData();
        } else {
          this.FnNotify('寫入失敗','error');
        }
      })
      .catch((err) => {
        console.log(err);
      });
    },
    
  },
};
